def convert(value, row):
    chg = row['achg']
    if chg:
        try:
            return crosswalk['final'].convert(chg)
        except ConvertError as e:
            log.write('achg16', [row['id'], row['rapstatex'], chg, 
                      "chg value: %s not in crosswalk. %s" % (chg, e)])